/************************************************************
                                          2009 2/1 
  Linux KeyHoleTV (C) 2008,2009          OISEYER Inc.
                                        Takashi Kosaka

   Japanese String Table (EUC)
   
   File: JString.c

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions
   are met:
   
   - Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
   
   - Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
   
   - Neither the name of the Xiph.org Foundation nor the names of its
   contributors may be used to endorse or promote products derived from
   this software without specific prior written permission.
   
   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
   ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
   A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR
   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
   PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
   LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
   NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
************************************************************/
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <iconv.h>
#include <errno.h>

/**************************************************************
 String 
**************************************************************/
static char *hoi0 = /* ID_ONLINE_LABEL  0 */     "ON LINE";  
static char *hoi1 = /* ID_ONLINE_TIP    1 */	    "%s is now ONLINE. Click to go OFFLINE";    
static char *hoi2 = /* ID_OFFLINE_LABEL 2 */     "OFF LINE";
static char *hoi3 = /* ID_OFFLINE_TIP   3 */	    "%s is now OFFLINE. Click to go ONLINE.";
static char *hoi4 = /* ID_STOPWATCH     4 */	    "Stop VIDEO";

static char *hoi5 = /* ID_STOPWATCH_TIP 5*/	   "Stop watching current Video. Click button first to watch another Video.";
static char *hoi6 =   /* ID_CHAT          6 */   "Chat ToBroadcaster";	

static char *hoi7 =   /* ID_CHAT_TIP      7 */   "Chat with Broadcaster. Click button to open the Chat Window.";
static char *hoi8 = /* ID_VIDEO_TIP    8 */	    "DoubleClick to open a new VIDEO Window."; 

static char *hoi9 = /* ID_VIDEO_TAB   9 */	       "VIDEO";
static char *hoi10 =   /* ID_VIDEO_TIP     10 */   "Go to VIDEO Window.";

static char *hoi11 =   /* ID_PROGRAM       11 */   "PROGRAM";

static char *hoi12 =   /* ID_PROGRAM_TIP   12 */   "Available VIDEO Programs";
static char *hoi13 =   /* ID_WATCH         13 */   " WATCH ";
static char *hoi14 =     /* ID_WATCH_TIP     14 */ "Click to watch selected VIDEO Program.";
static char *hoi15 =   /* ID_LIST_ITEM_TIP1 15 */   "Single Click: Show Detail of %s\nDouble Click: Watch %s";
static char *hoi16 =   /* ID_LIST_ITME_TIP2 16 */   "Double Click: Watch %s";

static char *hoi17 =   /* ID_SEARCH_TIP    17 */     "Search VIDEO Programs by Name";
static char *hoi18 =     /* ID_SEARCH_BUTTON 18 */    "SEARCH";
static char *hoi19 =   /* ID_SEARCH_BUTTON_TIP 19 */  "Start to Search for VIDEO Program.";
static char *hoi20 =     /* ID_VIDEOWIN_TIP   20 */   "Resize Window by Dragging Mouse. UP Key makes adjustment resize to big. DOWN Key is adjustment resize to small";
static char *hoi21 =   /* ID_WINDOW_TIP    21 */      "Click to close Window.";

static char *hoi22 =     /* ID_FONT_SELECT_TIP 22 */  "All Available Fonts. Choose font for Chat Output.";
static char *hoi23 =   /* ID_FONT_SET        23 */    "SET FONT";
static char *hoi24 =   /* ID_FONT_SET_TIP    24 */    "Set Selected Font for Chat Output.";
static char *hoi25 =   /* ID_INPUT_CHAT      25 */    "Return (Enter) sends text to Broadcaster. Control-V to paste String.";
static char *hoi26 =    /* ID_SEND           26 */	"Send";

static char *hoi27 =    /* ID_SEND_TIP       27 */	"Send Text to Broadcaster.";
static char *hoi28 =    /* ID_STOP_FEED      28 */	"Broadcaster stopped feeding VIDEO.";
static char *hoi29 =    /* ID_CURRENT        29 */	"CURRENT: %4d";

static char *hoi30 =    /* ID_MAX            30 */	"MAXIMUM: %4d";
static char *hoi31 =    /* ID_LOCK           31 */	"DISABLE";
static char *hoi32 =    /* ID_UNLOCK         32  */	"ENABLE ";
static char *hoi33 =   /* ID_CHAT_WIN_TITLE  33 */	"Broadcaster Chat Window";
static char *hoi34 =   /* ID_CHAT_OUT_TIP    34 */	"Shows Chat Result in this Window, You can Change Display Font"; 
static char *hoi35 =   /* ID_VIDEO_WIN_TITLE 35 */	"VIDEO Window";
static char *hoi36 =   /* ID_NOW_LOGIN       36 */	"Trying to Login";
static char *hoi37 =   /* ID_LOGIN_FAIL      37 */	"Login timed out. Check your Network";
static char *hoi38 =   /* ID_LOGIN_SUCCESS   38 */	"Login Complete";
static char *hoi39 =   /* ID_SUCCESS_WATCH   39 */	"Video streaming ...";

static char *hoi40 =   /* ID_SUCCESS_NOT_WATCH 40 */  "Select Program";
static char *hoi41 =   /* ID_SEARCHING        41 */   "Searching Program";
static char *hoi42 =   /* ID_SEARCH_DONE      42 */   "Search Program Done";
static char *hoi43 =   /* ID_SERVER_NOT_RESPOND 43 */  "Connection Lost. Login again.";
static char *hoi44 =   /* ID_TIME_FORMAT        44 */  "             %s  %4d %2d/%2d  %2d:%2d:%2d [Not Sent]\r\n";
static char *hoi45 =   /* ID_TIME_FORMAT_DONE   45 */  "             %s  %4d %2d/%2d  %2d:%2d:%2d [  Sent  ]\r\n";
static char *hoi46 =   /* ID_ERROR_NETWROK_CALL 46 */  "Error NetWork Library. Please Exit Program";
static char *hoi47 =   /* ID_LOGIN_KEYHOLE      47 */  "%s is ONLINE";
static char *hoi48 =   /* ID_LIST_UPDATE        48 */  "Updating Program List";
static char *hoi49 =   /* ID_LIST_UPDATE_DONE   49 */  "Program List Done";
static char *hoi50 =    /* ID_LOGOUT_TRYING     50 */  "Trying to Logout";
static char *hoi51 =     /* ID_LOGOUT_DONE      51 */  "Logout completed";
static char *hoi52 =   /* ID_TRY_WATCH,         52 */  "Trying to connect Video";
static char *hoi53 =    /* ID_TRY_NOT_WATCH,    53 */  "Trying to Stop";

static char *hoi54 =   /* ID_ROOM_NOT_EXIT      54 */  "Selected Program has ended";
static char *hoi55 =   /* ID_MAX_USER           55 */  "Selected Program has reached User Limit";
static char *hoi56 =   /* ID_LOCKED_ROOM        56 */  "VIDEO not available";

static char *hoi57 =   /* ID_OWNER_LEAVE        57 */  "Broadcaster stopped VIDEO Program";
static char *hoi58 =   /* ID_RECEIVE_CHAT       58 */  "             %s  %4d %2d/%2d  %2d:%2d:%2d\r\n";
static char *hoi59 =   /* ID_END_ASK,           59 */  "Exit %s ?";

static char *hoi60 =   /* ID_END_MESSAGE        60 */  "Quit Confirmation";
static char *hoi61 =    /* ID_MAIN_WIN_MESSAGE   61 */ "Exit %s";
static char *hoi62 =    /* ID_TOO_MANY_STRING,   62 */  "Too many Chat Strings";
static char *hoi63 =    /* ID_OPENING_WEB        63 */  " is opening";
static char *hoi64 =    /* ID_ADVER_TIP          64 */  "Showing Advertisement. Click to jump to Target Web Page";
static char *hoi65 =    /* ID_SERVER_ADDR_NOTIFY 65 */ "Please update to New Version. Click to update To New Version";
static char *hoi66 =    /* ID_CALL_NOTIFY        66 */ " is calling. Please call using KeyHoleVIDEO";
static char *hoi67 =    /* ID_MUTE_ON_BUTTON,    67 */ "MUTE ON";
static char *hoi68 =    /* ID_MUTE_OFF_BUTTON    68 */ "MUTE OFF";
static char *hoi69 =    /* ID_MUTE_ON_TIP        69 */ "%s enables Sound. Click to be Mute sound";

static char *hoi70 =    /* ID_MUTE_OFF_TIP       70 */ "%s is Mute Sound. Click to enable Sound";
static char *hoi71 =    /* ID_MORE_THAN_5        71 */ "Error";
static char *hoi72 =    /* ID_MORE_THAN_5_COM    72 */ "%s upto 4 at the same time";
static char *hoi73 =    /* ID_FORMAT_PROGRAM     73 */ "WATCH %4d"; 
static char *hoi74 =    /* ID_LIST_PARENT_ITEM_TIP1 74 */ "Click Category[%s] is Toggle (Expand/Shurink)";
static char *hoi75 =    /* ID_UPDATE_MODULE_DONE 75 */ "%s has Updated. You Need Download to update KeyHoleTV. ";
static char *hoi76 =    /* ID_CLOSE_BUTTON       76 */ "CLOSE";
static char *hoi77 =    /* ID_CLOSE_BUTTON_TIP   77 */ "Click to Close this Window ";
static char *hoi78 =    /* ID_UPDATE_WINDOW_TITLE   78 */ "%s TV Update Notice";
static char *hoi79 =    /* ID_OK,                   79 */ " OK ";

static char *hoi80 =    /* ID_OK_TIP,               80 */ "Press OK input Password";
static char *hoi81 =    /* ID_CANCEL,               81 */ "CANCEL";
static char *hoi82 =    /* ID_CANCEL_TIP,           82 */ "Press Cancel to Program with Password";
static char *hoi83 =    /* ID_INPUT_PASSS_TIP,      83 */ "Input Program Password to Watch";
static char *hoi84 =    /* ID_PASSWORD_FAIL,        84 */ "Wrong Password to watch program";
static char *hoi85 =    /* ID_PASSWORD_PRGRAM,      85 */ "With Password";
static char *hoi86 =    /* ID_PRGRAM_UPDAET         86 */ "UPDATE";
static char *hoi87 =    /* ID_PRGRAM_UPDAET_TIP     87 */ "Click to Update Video Proram List";
static char *hoi88 =    /* ID_VOL_SLIDER_TIP,       88 */ "Sound Volume, Right is Big, Left is Small";
static char *hoi89 =    /* ID_VOL_DISPLY_TIP,       89 */ "Display Sound Volume Status";
static char *hoi90 =    /* ID_NOT_TOPMOST   ,       90 */ "TOP MOST OFF";
static char *hoi91 =    /* ID_TOPMOST                91 */ "TOP MOST ON";
static char *hoi92 =    /* ID_NOT_TOPMOST_TIP       92 */ "%s is TOP MOST Window. Click to cancel TOP MOST Window";
static char *hoi93 =    /* ID_TOPMOST_TIP           93 */ "%s is Normal Window. Click to be TOP MOST Window";
static char *hoi94 =    /* ID_ALREADY_LOGIN         94 */ "Server peforms logout. Please wait";
static char *hoi95 =    /* ID_ADMIN_FORCE_LOGOUT,   95 */ "System Admin force leave server";
static char *hoi96 =    /* ID_ADMIN_FORCE_CHANGE,   96 */ "Switching to the other server";
static char *hoi97 =    /* ID_AUDIO_DIEVICE,        97 */ "AUDIO / VIDEO";
static char *hoi98 =    /* ID_UNIX_DSP,             98 */ "UNIX DSP";
static char *hoi99 =    /* ID_ESD,                  99 */ "ESD";

static char *hoi100 =    /* ID_ALSA,                100 */ "ALSA";
static char *hoi101 =    /* ID_USE_GTK,             101 */ "Video Display uses GTK Viewer";
static char *hoi102 =    /* ID_UNIX_DSP_TIP,        102 */ "Audio device opens /dev/dsp";
static char *hoi103 =    /* ID_ESD_TIP,             103 */ "Audio device opens Enligtenment Sound Daemon";
static char *hoi104 =    /* ID_ALSA_TIP,            104 */ "Audio device opens Advanced Linux Sound Architecture";
static char *hoi105 =    /* ID_USE_GTK_TIP,         105 */ "Video Display uses GTK(GDK) Widget. Video might be slow by X-Window.";
static char *hoi106 =    /* ID_AUDIO_DEVICE_CANCEL   106 */ "Cancel";
static char *hoi107 =    /* ID_AUDIO_DEVICE_APPLY,   107 */ "Apply";
static char *hoi108 =    /* ID_AUDIO_DEVICE_CANCEL_TIP 108 */ "Stop Audio Device and you can select new adudio device.";
static char *hoi109 =    /* ID_AUDIO_DEVICE_APPLY_TIP, 109 */ "Apply the selected audio deive.";
static char *hoi110 =    /* ID_ALSA_COMBO_TIP,         110 */ "Input Alsa Device Name";
static char *hoi111 =    /* ID_ADD_BUTTON,             111 */ "ADD";
static char *hoi112 =    /* ID_ADD_BUTTON_TIP,         112 */ "Add enterd device name to the list up to 5 items";
static char *hoi113 =    /* ID_DELETE_BUTTON           113 */ "DELETE";
static char *hoi114 =    /* ID_DELETE_BUTTON_TIP,      114 */ "Delete selected string from the list";
static char *hoi115 =    /* ID_AUDIO_DEVICE_ERROR,     115 */ "Selected Auido Device can not use now.";
static char *hoi116 =    /* ID_USE_SDL,                116 */ "Video Display uses SDL Viewer";
static char *hoi117 =    /* ID_USE_SDL_TIP,            117 */ "Video Display uses SDL (Simple Direct Layer).";
static char *hoi118 =    /* ID_NOT_LOAD_LIBRARY,       118 */ "dlopen error to load wrong path name or unreslove symbols";
static char *hoi119 =    /* ID_SDL_SELECTED,           119 */ "SDL selected. Not need separate window";
static char *hoi120 =    /* ID_HELP_TIP,               120 */ "Open KeyHoleTV Help Web page";

static char *hoi121 = /* ID_USER_NAME_LABEL       121 */   "User Name"; 
static char *hoi122 = /* ID_PASSWORD_LABEL        122 */   "Password"; 
static char *hoi123 = /* ID_NEW_PASSWORD_LABEL    123 */   "New Password"; 
static char *hoi124 = /* ID_RE_NEW_PASSWORD_LABEL 124 */   "Re New Password"; 
static char *hoi125 = /* ID_USER_NAME_TIP         125 */   "Iput User Name. When KeyHoleTV is OffLine, you can change user name. However the user name is not stored. You need to type at least 4 characters."; 
static char *hoi126 = /* ID_PASSWORD_TIP          126 */   "Input Password for the User Name. After Input Password, click Red Circle(OffLine) on above, you will log in or just type CR Key"; 
static char *hoi127 = /* ID_NEW_PASSWORD_TIP      127 */   "Input New Password"; 
static char *hoi128 = /* ID_RENEW_PASSWORD_TIP    128 */   "Re Input New Password."; 
static char *hoi129 = /* ID_REGISTER              129 */   "User Registration"; 
static char *hoi130 = /* ID_REGISTER_TIP          130 */   "keyHoleTV registers User Name. One KeyHoleTV can store one User Name. KeyHoleTV can excute 4 clients on the current user.";
static char *hoi131 =  /* ID_CHANGE_PASS          131 */   "Change Password"; 
static char *hoi132 =  /* ID_CHANGE_PASS_TIP      132 */   "Changeing your password. YOu need current password and new password."; 
static char *hoi133 = /* ID_USER_INFO             133 */   "USER INFO.";
static char *hoi134 = /* ID_USER_INFO_TIP         134 */   "User Information Tab";
static char *hoi135 = /* ID_PREMIUM_MODULE_KEY    135 */   "Premium Module Key";
static char *hoi136 = /* ID_PREMIUM_FULL_TIP      136 */   "Current Premium Module Key is valid for %d day(s)";
static char *hoi137 = /* ID_PREMIUM_HALF_TIP      137 */   "Premium Module Key will be invalid soon. You can use %d day(s).";
static char *hoi138 = /* ID_PREMIUM_NON_TIP       138 */   "No valided Premium Module Key is exsiting. ";
static char *hoi139 = /* ID_PREMIUM_FULL_B_TIP    139 */   "Premium Module Key is valid. Click to open a dialog box to buy Premium Module Key. When you buy Premium Module Key, the system automatically updates period.";
static char *hoi140 = /* ID_PREMIUM_HALF_B_TIP    140 */   "Premium Module Key will be invalid soon. Please get new premium Module Key. Click to open the purchasing Premium Module Key Dialog Window. You can add valid Premium Module Key by web page. When you buy Premium Module Key, the system automatically updates period.";
static char *hoi141 = /* ID_PREMIUM_NON_B_TIP     141 */   "No valid Premium Module Key is existing. Please get new premium Module Key. Click to open the purchasing Premium Module Key Dialog. You can get valid Premium Module Key and automatically sets Premium Module Key.";
static char *hoi142 = /* ID_CURRENT_KEY           142 */   "Current Stored Premium Module Key";
static char *hoi143 = /* ID_TOO_MANY              143 */   "4 KeyHoleTV clients are running now.";
static char *hoi144 = /* ID_LOGOUT_WAIT           144 */   "The Name of the User has logined.";
static char *hoi145 = /* ID_CHANGE_PASS_OK_TIP    145 */   "Change Your Password";
static char *hoi146 = /* ID_VOl_SLIDER            146 */   "Volum Slider";
static char *hoi147 = /* ID_PROGRAM_PASSWORD      147 */   "Input Program Password";
static char *hoi148 = /* ID_PROGRAM_SEARCH_INPUT  148 */   "Input Search Program";
static char *hoi149 = /* ID_FONT_SELECT_COMBO     149 */   "Font Selection ComboBox";
static char *hoi150 = /* ID_CHAT_INPUT            150 */   "Input Chat Text";
static char *hoi151 = /* ID_CREATE_OK_TIP         151 */   "Start Creating User Account. KeyHoleTV can create 4 users account. However, KeyHoleTV remembers just ONE user";
static char *hoi152 = /* ID_CREATE_CANCEL_TIP     152 */   "Cancel Registration process";
static char *hoi153 = /* ID_REGISTER_OK_TIP       153 */   "Start Registration. KeyHoleTV can create 4 accounts. However KeyHoleTV save just ONE User.";
static char *hoi154 = /* ID_REGISTER_CANCEL_TIP   154 */   "Cancel Changing Password";
static char *hoi155 = /* ID_WRONG_PASSWORD        155 */   "Wrong User Nmae or Password";
static char *hoi156 = /* ID_WRONG_PASSWORD_2      156 */   "Input Password are different.";
static char *hoi157 = /* ID_BUSY_SERVER           157 */   "Server is busy to registration process.";
static char *hoi158 = /* ID_SAME_USER_EXIST       158 */   "Already Use the User Name. Please Change.";
static char *hoi159 = /* ID_TRING_CREATE          159 */   "Registering User...";
static char *hoi160 = /* ID_TRING_CREATE_DONE     160 */   "Done Registration. KeyHoleTV saves FIRST User Name.";
static char *hoi161 = /* ID_TRING_CREATE_FAIL     161 */   "Fail Registration.";
static char *hoi162 = /* ID_NO_REGISTORE_USER     162 */   "For New User Register. Otherwise, Click an 'Existing User Name' button.";
static char *hoi163 = /* ID_PASSWORD_CHANGING     163 */   "Password Updating ...";
static char *hoi164 = /* ID_PASSWORD_CHANGE_DONE1 164 */   "Done Changing and Saving Password.";
static char *hoi165 = /* ID_PASSWORD_CHANGE_DONE2  165 */   "Done Changing Password But not Saved.";
static char *hoi166 = /* ID_PASSWORD_cHANGE_FAILE  166 */   "Fail Changing Password.";
static char *hoi167 = /* ID_REGITOER_OK_LABEL      167 */   "Start Registration";
static char *hoi168 = /* ID_PASSWORD_OL_LABEL      168 */   "Start Changing Password";
static char *hoi169 = /* ID_BUY                    169 */   "Purchase Premium Moduleu Key";
static char *hoi170 = /* ID_BUY_TIP                170 */   "Click to open purchasing Premium Module Key Web Page. You can add the period of Premium Module Key.";
static char *hoi171 = /* ID_EXISTING_USER          171 */   "Existing User Name";
static char *hoi172 = /* ID_EXISTING_USER_TIP      172 */   "Move to an existing user name log in page.";
static char *hoi173 = /* ID_EXISTING_LOGIN         173 */   "Log In";
static char *hoi174 = /* ID_EXISTING_LOGIN_TIP     174 */   "Log in with the inputed user name";
static char *hoi175 = /* ID_EXISTING_LOGIN_OP_TIP  175 */   "After input a user name and a password, click 'log In' button. KeyholeTV is going to log in and saves a user name and a password in your PC when KeyHoleTV saves the first user.";


/**************************************************************
 String 
**************************************************************/
static char *TKTable[176][512];

/*************************************************************
  Setup EUC Character to UTF-8
*************************************************************/
void  SetupStrings(char *APP_NAMWE)
{
  strcpy((char *) TKTable[0],(char *)hoi0);
  sprintf((char *)TKTable[1],(char *)hoi1,APP_NAMWE);
  strcpy((char *) TKTable[2],(char *)hoi2);
  sprintf((char *)TKTable[3],(char *)hoi3,APP_NAMWE);
  strcpy((char *) TKTable[4],(char *)hoi4);
  strcpy((char *) TKTable[5],(char *)hoi5);
  strcpy((char *) TKTable[6],(char *)hoi6);
  strcpy((char *) TKTable[7],(char *)hoi7);
  strcpy((char *) TKTable[8],(char *)hoi8);
  strcpy((char *) TKTable[9],(char *)hoi9);

  strcpy((char *) TKTable[10],(char *)hoi10);
  strcpy((char *) TKTable[11],(char *)hoi11);
  strcpy((char *) TKTable[12],(char *)hoi12);	
  strcpy((char *) TKTable[13],(char *)hoi13);
  strcpy((char *) TKTable[14],(char *)hoi14);
  strcpy((char *) TKTable[15],(char *)hoi15);
  strcpy((char *) TKTable[16],(char *)hoi16);
  strcpy((char *) TKTable[17],(char *)hoi17);
  strcpy((char *) TKTable[18],(char *)hoi18);
  strcpy((char *) TKTable[19],(char *)hoi19);

  strcpy((char *) TKTable[20],(char *)hoi20);
  strcpy((char *) TKTable[21],(char *)hoi21);
  strcpy((char *) TKTable[22],(char *)hoi22);	
  strcpy((char *) TKTable[23],(char *)hoi23);
  strcpy((char *) TKTable[24],(char *)hoi24);
  strcpy((char *) TKTable[25],(char *)hoi25);
  strcpy((char *) TKTable[26],(char *)hoi26);
  strcpy((char *) TKTable[27],(char *)hoi27);
  strcpy((char *) TKTable[28],(char *)hoi28);
  strcpy((char *) TKTable[29],(char *)hoi29);

  strcpy((char *) TKTable[30],(char *)hoi30);
  strcpy((char *) TKTable[31],(char *)hoi31);
  strcpy((char *) TKTable[32],(char *)hoi32);	
  strcpy((char *) TKTable[33],(char *)hoi33);
  strcpy((char *) TKTable[34],(char *)hoi34);
  strcpy((char *) TKTable[35],(char *)hoi35);
  strcpy((char *) TKTable[36],(char *)hoi36);
  strcpy((char *) TKTable[37],(char *)hoi37);
  strcpy((char *) TKTable[38],(char *)hoi38);
  strcpy((char *) TKTable[39],(char *)hoi39);

  strcpy((char *) TKTable[40],(char *)hoi40);
  strcpy((char *) TKTable[41],(char *)hoi41);
  strcpy((char *) TKTable[42],(char *)hoi42);	
  strcpy((char *) TKTable[43],(char *)hoi43);
  strcpy((char *) TKTable[44],(char *)hoi44);
  strcpy((char *) TKTable[45],(char *)hoi45);
  strcpy((char *) TKTable[46],(char *)hoi46);
  sprintf((char *)TKTable[47],(char *)hoi47,APP_NAMWE);
  strcpy((char *) TKTable[48],(char *)hoi48);
  strcpy((char *) TKTable[49],(char *)hoi49);

  strcpy((char *) TKTable[50],(char *)hoi50);
  strcpy((char *) TKTable[51],(char *)hoi51);
  strcpy((char *) TKTable[52],(char *)hoi52);	
  strcpy((char *) TKTable[53],(char *)hoi53);
  strcpy((char *) TKTable[54],(char *)hoi54);
  strcpy((char *) TKTable[55],(char *)hoi55);
  strcpy((char *) TKTable[56],(char *)hoi56);
  strcpy((char *) TKTable[57],(char *)hoi57);
  strcpy((char *) TKTable[58],(char *)hoi58);
  sprintf((char *)TKTable[59],(char *)hoi59,APP_NAMWE);

  strcpy((char *) TKTable[60],(char *)hoi60);
  strcpy((char *) TKTable[61],(char *)hoi61);
  strcpy((char *) TKTable[62],(char *)hoi62);	
  strcpy((char *) TKTable[63],(char *)hoi63);
  strcpy((char *) TKTable[64],(char *)hoi64);
  strcpy((char *) TKTable[65],(char *)hoi65);
  strcpy((char *) TKTable[66],(char *)hoi66);
  strcpy((char *) TKTable[67],(char *)hoi67);
  strcpy((char *) TKTable[68],(char *)hoi68);
  sprintf((char *)TKTable[69],(char *)hoi69,APP_NAMWE);

  sprintf((char *)TKTable[70],(char *)hoi70,APP_NAMWE);
  strcpy((char *) TKTable[71],(char *)hoi71);

  sprintf((char *)TKTable[72],(char *)hoi72,APP_NAMWE);

  strcpy((char *) TKTable[73],(char *)hoi73);
  strcpy((char *) TKTable[74],(char *)hoi74);
  sprintf((char *)TKTable[75],(char *)hoi75,APP_NAMWE);
  strcpy((char *) TKTable[76],(char *)hoi76);
  strcpy((char *) TKTable[77],(char *)hoi77);
  sprintf((char *)TKTable[78],(char *)hoi78,APP_NAMWE);
  strcpy((char *) TKTable[79],(char *)hoi79);

  strcpy((char *) TKTable[80],(char *)hoi80);
  strcpy((char *) TKTable[81],(char *)hoi81);
  strcpy((char *) TKTable[82],(char *)hoi82);	
  strcpy((char *) TKTable[83],(char *)hoi83);
  strcpy((char *) TKTable[84],(char *)hoi84);
  strcpy((char *) TKTable[85],(char *)hoi85);
  strcpy((char *) TKTable[86],(char *)hoi86);
  strcpy((char *) TKTable[87],(char *)hoi87);
  strcpy((char *) TKTable[88],(char *)hoi88);
  strcpy((char *) TKTable[89],(char *)hoi89);

  strcpy((char *) TKTable[90],(char *)hoi90);
  strcpy((char *) TKTable[91],(char *)hoi91);
  sprintf((char *)TKTable[92],(char *)hoi92,APP_NAMWE);
  sprintf((char *)TKTable[93],(char *)hoi93,APP_NAMWE);
  strcpy((char *) TKTable[94],(char *)hoi94);
  strcpy((char *) TKTable[95],(char *)hoi95);
  strcpy((char *) TKTable[96],(char *)hoi96);
  strcpy((char *) TKTable[97],(char *)hoi97);
  strcpy((char *) TKTable[98],(char *)hoi98);
  strcpy((char *) TKTable[99],(char *)hoi99);

  strcpy((char *) TKTable[100],(char *)hoi100);
  strcpy((char *) TKTable[101],(char *)hoi101);
  strcpy((char *) TKTable[102],(char *)hoi102);	
  strcpy((char *) TKTable[103],(char *)hoi103);
  strcpy((char *) TKTable[104],(char *)hoi104);
  strcpy((char *) TKTable[105],(char *)hoi105);
  strcpy((char *) TKTable[106],(char *)hoi106);
  strcpy((char *) TKTable[107],(char *)hoi107);
  strcpy((char *) TKTable[108],(char *)hoi108);
  strcpy((char *) TKTable[109],(char *)hoi109);

  strcpy((char *) TKTable[110],(char *)hoi110);
  strcpy((char *) TKTable[111],(char *)hoi111);
  strcpy((char *) TKTable[112],(char *)hoi112);
  strcpy((char *) TKTable[113],(char *)hoi113);
  strcpy((char *) TKTable[114],(char *)hoi114);
  strcpy((char *) TKTable[115],(char *)hoi115);
  strcpy((char *) TKTable[116],(char *)hoi116);
  strcpy((char *) TKTable[117],(char *)hoi117);
  strcpy((char *) TKTable[118],(char *)hoi118);
  strcpy((char *) TKTable[119],(char *)hoi119);
  strcpy((char *) TKTable[120],(char *)hoi120);

  strcpy((char *) TKTable[121],(char *)hoi121);
  strcpy((char *) TKTable[122],(char *)hoi122);
  strcpy((char *) TKTable[123],(char *)hoi123);
  strcpy((char *) TKTable[124],(char *)hoi124);
  strcpy((char *) TKTable[125],(char *)hoi125);
  strcpy((char *) TKTable[126],(char *)hoi126);
  strcpy((char *) TKTable[127],(char *)hoi127);
  strcpy((char *) TKTable[128],(char *)hoi128);
  strcpy((char *) TKTable[129],(char *)hoi129);

  strcpy((char *) TKTable[130],(char *)hoi130);
  strcpy((char *) TKTable[131],(char *)hoi131);
  strcpy((char *) TKTable[132],(char *)hoi132);
  strcpy((char *) TKTable[133],(char *)hoi133);
  strcpy((char *) TKTable[134],(char *)hoi134);
  strcpy((char *) TKTable[135],(char *)hoi135);
  strcpy((char *) TKTable[136],(char *)hoi136);
  strcpy((char *) TKTable[137],(char *)hoi137);
  strcpy((char *) TKTable[138],(char *)hoi138);
  strcpy((char *) TKTable[139],(char *)hoi139);

  strcpy((char *) TKTable[140],(char *)hoi140);
  strcpy((char *) TKTable[141],(char *)hoi141);
  strcpy((char *) TKTable[142],(char *)hoi142);
  strcpy((char *) TKTable[143],(char *)hoi143);
  strcpy((char *) TKTable[144],(char *)hoi144);
  strcpy((char *) TKTable[145],(char *)hoi145);
  strcpy((char *) TKTable[146],(char *)hoi146);
  strcpy((char *) TKTable[147],(char *)hoi147);
  strcpy((char *) TKTable[148],(char *)hoi148);
  strcpy((char *) TKTable[149],(char *)hoi149);

  strcpy((char *) TKTable[150],(char *)hoi150);
  strcpy((char *) TKTable[151],(char *)hoi151);
  strcpy((char *) TKTable[152],(char *)hoi152);
  strcpy((char *) TKTable[153],(char *)hoi153);
  strcpy((char *) TKTable[154],(char *)hoi154);
  strcpy((char *) TKTable[155],(char *)hoi155);
  strcpy((char *) TKTable[156],(char *)hoi156);
  strcpy((char *) TKTable[157],(char *)hoi157);
  strcpy((char *) TKTable[158],(char *)hoi158);
  strcpy((char *) TKTable[159],(char *)hoi159);

  strcpy((char *) TKTable[160],(char *)hoi160);
  strcpy((char *) TKTable[161],(char *)hoi161);
  strcpy((char *) TKTable[162],(char *)hoi162);
  strcpy((char *) TKTable[163],(char *)hoi163);
  strcpy((char *) TKTable[164],(char *)hoi164);
  strcpy((char *) TKTable[165],(char *)hoi165);
  strcpy((char *) TKTable[166],(char *)hoi166);
  strcpy((char *) TKTable[167],(char *)hoi167);
  strcpy((char *) TKTable[168],(char *)hoi168);
  strcpy((char *) TKTable[169],(char *)hoi169);

  strcpy((char *) TKTable[170],(char *)hoi170);

  strcpy((char *) TKTable[171],(char *)hoi171);
  strcpy((char *) TKTable[172],(char *)hoi172);
  strcpy((char *) TKTable[173],(char *)hoi173);
  strcpy((char *) TKTable[174],(char *)hoi174);
  strcpy((char *) TKTable[175],(char *)hoi175);
}

char *GetStringFromStringTable(int ID)
{
  return((char *)TKTable[ID]);
}


